import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { HttpModule, JsonpModule } from '@angular/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { RouterModule } from '@angular/router';

import { CKEditorModule } from 'ng2-ckeditor';

import { EnvironmentSpecificResolver } from '../../openaireLibrary/utils/properties/environmentSpecificResolver';
import { EnvironmentSpecificService } from '../../openaireLibrary/utils/properties/environment-specific.service';

import {ErrorMessagesModule}    from '../../openaireLibrary/utils/errorMessages.module';
import {AlertModalModule} from '../../openaireLibrary/utils/modal/alertModal.module';
import {SafeHtmlPipeModule} from '../../openaireLibrary/utils/pipes/safeHTMLPipe.module';

import { HtmlPageContentFormComponent } from "./html-page-content-form.component";
import { EditHtmlPageContentComponent } from "./edit-htmlpage-content.component";
import { HtmlPageContentService } from "./html-page-content.service";

@NgModule({
    imports: [
        BrowserModule,
        HttpModule,
        JsonpModule,
        FormsModule,
        ReactiveFormsModule,
        RouterModule,
        CKEditorModule,
        ErrorMessagesModule,
        AlertModalModule,
        SafeHtmlPipeModule
    ],
    declarations: [
        HtmlPageContentFormComponent,
        EditHtmlPageContentComponent,
    ],
    providers: [
        HtmlPageContentService,
        EnvironmentSpecificResolver,EnvironmentSpecificService
    ]
})

export class HtmlPageContentModule { }
