import { Injectable } from '@angular/core';
import { Http, Response, Headers, RequestOptions } from '@angular/http';
import { Observable } from 'rxjs/Rx';

@Injectable()
export class SubjectsService {

  constructor(private http:Http) {

  }

  addSubjects(url: string, subjects:any) {
      let headers = new Headers({'Content-Type': 'application/json'});
      let options = new RequestOptions({headers: headers});

      let body = JSON.stringify(subjects);

      console.log(body);

      return this.http.post(url, body, options)
                        .do(request => console.log("Insert Response:"+request.status))
                        .map(res => res.json())
                        .map(res => {
                          res["method"]="post";
                          return res;
                        });
  }

  removeSubjects(url: string, subjects:any) {
      let headers = new Headers({'Content-Type': 'application/json'});

      let body = JSON.stringify(subjects);
      let options = new RequestOptions({headers: headers,body:body});


      console.log(body);

      return this.http.delete(url, options)
                        .do(request => console.log("Delete Response:"+request.status))
                        .map(res => res.json())
                        .map(res => {
                          res["method"]="delete";
                          return res;
                        });
  }
}
