import {NgModule}                   from '@angular/core';
import {CommonModule}               from '@angular/common';
import {FormsModule}                from '@angular/forms';
import {RouterModule}               from '@angular/router';
import {DataTablesModule}           from 'angular-datatables';

import {AlertModalModule}           from '../../openaireLibrary/utils/modal/alertModal.module';
import {PagingModule}               from '../../openaireLibrary/utils/paging.module';
import {ManageSubscribersComponent} from './manage-subscribers.component';
import {SubscribeService}           from '../../openaireLibrary/utils/subscribe/subscribe.service';

@NgModule({
  imports:[
    CommonModule, FormsModule, RouterModule,
    PagingModule, DataTablesModule, AlertModalModule
  ],
  declarations:[
    ManageSubscribersComponent
   ],
  providers:[
    SubscribeService
   ],
  exports: [
    ManageSubscribersComponent
   ]
})

export class ManageSubscribersModule { }
