import {Injectable}                 from '@angular/core';
import {Http, Response}             from '@angular/http';
import {Headers, RequestOptions}    from '@angular/http';
import {Observable}                 from 'rxjs/Rx';

import {ZenodoCommunityInfo}        from './zenodoCommunity/zenodoCommunityInfo';
import {EnvProperties}              from '../../openaireLibrary/utils/properties/env-properties';

@Injectable()
export class ManageZenodoCommunitiesService {

    constructor(private http:Http) {
    }

    getZenodoCommunities(properties:EnvProperties, url: string) {
            return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)) : url)
                            .map(res => <any> res.json()).map(res => this.parseZenodoCommunities(res.hits.hits));
    }

    parseZenodoCommunities(data: any): ZenodoCommunityInfo[] {
        let zenodoCommunities: ZenodoCommunityInfo[] = [];

        for (let i=0; i<data.length; i++) {
            let resData = data[i];
            var result: ZenodoCommunityInfo = new ZenodoCommunityInfo();

            result['title'] = resData.title;
            result['id'] = resData.id;
            result['description'] = resData.description;
            result['link'] = resData.links.html;
            result['logoUrl'] = resData.logo_url;
            result['date'] = resData.updated;
            result['page'] = resData.page;

            zenodoCommunities.push(result);
        }
        return zenodoCommunities;
    }

    getTotalZenodoCommunities(properties:EnvProperties, url: string) {
            return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)) : url)
                            .map(res => <any> res.json()).map(res => res.hits.total);
    }
}
